[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/git/https%3A%2F%2Fgitlab.cc-asp.fraunhofer.de%2Ffraunhofer_iao_qc%2Fsequoia_end-to-end%2Fautomatic-feature-map-generation/HEAD)
[![License](https://img.shields.io/badge/License-Apache%202.0-orange.svg)](https://opensource.org/licenses/Apache-2.0)

# Automatic Feature Map Generation


***This demonstrator is part of the project [SEQUOIA End-to-End](https://www.sequoia-iao.de) of the [Competence Center Quantum Computing Baden-Württemberg](https://www.iaf.fraunhofer.de/en/networkers/KQC.html).***

Author: Frederic Rapp, Fraunhofer IPA, frederic.rapp@ipa.fraunhofer.de

---
<br>

<img src="images/sequoia_end_to_end_logo.svg" class="center" width="400"/>

<br>

## Description

The demonstrator shows the generation of a quantum feature map for a regression problem. 
Techniques from reinforcement learning are used here and the decision-making process of the AI agent is shown by means of a simple visualization. 
The results show a feature map design tailored to the problem.

---
[Quantum Computing Fraunhofer IPA](https://www.ipa.fraunhofer.de/quantum)